commit:     2c4d3b94ed0956344b69b08f9025c1f6df845c79
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Oct  2 21:53:22 2022 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Oct  2 22:17:12 2022 +0000
URL:        https://gitweb.gentoo.org/proj/kde.git/commit/?id=2c4d3b94

kde-frameworks/qqc2-desktop-style: 5.99.0 version bump

Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 .../qqc2-desktop-style-5.99.0.ebuild               | 29 ++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/kde-frameworks/qqc2-desktop-style/qqc2-desktop-style-5.99.0.ebuild 
b/kde-frameworks/qqc2-desktop-style/qqc2-desktop-style-5.99.0.ebuild
new file mode 100644
index 0000000000..cf0e8a2b60
--- /dev/null
+++ b/kde-frameworks/qqc2-desktop-style/qqc2-desktop-style-5.99.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+ECM_QTHELP="false"
+PVCUT=$(ver_cut 1-2)
+QTMIN=5.15.5
+inherit ecm frameworks.kde.org
+
+DESCRIPTION="Style for QtQuickControls 2 that uses QWidget's QStyle for 
painting"
+
+LICENSE="|| ( GPL-2+ LGPL-3+ )"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+IUSE=""
+
+DEPEND="
+       >=dev-qt/qtdeclarative-${QTMIN}:5=
+       >=dev-qt/qtgui-${QTMIN}:5
+       >=dev-qt/qtwidgets-${QTMIN}:5
+       =kde-frameworks/kconfigwidgets-${PVCUT}*:5
+       =kde-frameworks/kiconthemes-${PVCUT}*:5
+       =kde-frameworks/kirigami-${PVCUT}*:5
+       =kde-frameworks/sonnet-${PVCUT}*:5[qml]
+"
+RDEPEND="${DEPEND}
+       >=dev-qt/qtgraphicaleffects-${QTMIN}:5
+       >=dev-qt/qtquickcontrols2-${QTMIN}:5
+"

Reply via email to